Page 2 of 2 FirstFirst 12
Results 21 to 32 of 32

Thread: How-to: phpMyAdmin 3.0.0

  1. #21
    Join Date
    Mar 2010
    Posts
    5

    Post Revival

    Ok.. I hate reviving old posts but I need a little help with this same error

    You should upgrade to MySQL 5.0.15 or later.

    I upgraded to MySQL 5.0.90 last night as well as a few other things but I still get this error. Has anyone gotten this error while already upgrading MySQL?

    Thanks,
    Chris

  2. #22
    Join Date
    Oct 2004
    Location
    London, UK
    Posts
    6,682
    ive a question, why is not included in custombuild?
    SeLLeRoNe - Andrea Iannucci
    DevOps Engineer - System Administrator
    If you need my support write me an E-Mail to Support@CrazyNetwork.it

  3. #23
    Join Date
    Mar 2010
    Posts
    5
    Quote Originally Posted by SeLLeRoNe View Post
    ive a question, why is not included in custombuild?
    Custombuild does update MYSQL and myPhpAdmin. You just have to ensure it's selected for update in the options.conf file.

  4. #24
    Join Date
    Oct 2004
    Location
    London, UK
    Posts
    6,682
    ops xD i knew that custombuild update phpmyadmin but didnt noticed that was updating at version 3.x.x .^^
    SeLLeRoNe - Andrea Iannucci
    DevOps Engineer - System Administrator
    If you need my support write me an E-Mail to Support@CrazyNetwork.it

  5. #25
    Join Date
    Apr 2009
    Posts
    2,035
    Quote Originally Posted by The-Ratpack View Post
    Ok.. I hate reviving old posts but I need a little help with this same error

    You should upgrade to MySQL 5.0.15 or later.

    I upgraded to MySQL 5.0.90 last night as well as a few other things but I still get this error. Has anyone gotten this error while already upgrading MySQL?
    Did you remember to recompile PHP after you upgraded MySQL? Reference: http://help.directadmin.com/item.php?id=240

  6. #26
    Join Date
    Mar 2010
    Posts
    5
    Yup I sure have. Not sure what's causing it. I've run the instructions a few times now and the same result. It continues to ask me to update. Strange.

  7. #27
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    6,797
    Please post the output of:
    Code:
    rpm -qa | grep 'MySQL-'
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  8. #28
    Join Date
    Mar 2010
    Posts
    5
    Thats the issue

    MySQL-server-4.1.12-1
    MySQL-shared-5.0.90-1
    MySQL-client-5.0.90-1
    MySQL-devel-5.0.90-1

    Apparently it can't do an upgrade from 4.1 to 5.0. Do I have to do it manually?

  9. #29
    Join Date
    Aug 2006
    Location
    LT, EU
    Posts
    6,797
    Code:
    rpm -e MySQL-server
    And try "./build mysql" again.
    Martynas Bendorius
    MB Martynas IT. Professional server management company. Official DirectAdmin, CloudLinux, LiteSpeed and Comodo partners.

  10. #30
    Join Date
    Mar 2010
    Posts
    5
    WORKED!

    had one minor issue with it not seeing the service mysql.. so I copied the file /init.d/mysqld to /init.d/mysql and BOOM.. it uninstalled fine.. reinstall went fine and php -n went fine as well... thanks for the help.. what a great script!

  11. #31
    Join Date
    Nov 2017
    Posts
    1
    For PhpMyAdmin version 4.7.5, I had to make some little changes to the original script posted by smtalk.

    Mainly adding this at the end, because the symlink was owned by root :

    Code:
    chown -h webapps:webapps /var/www/html/phpMyAdmin

  12. #32
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    11,287
    This is a very old thread. Actually CustomBUild 2.x can now be used here for installing and upgrading phpMyAdmin.

    Code:
    cd /usr/local/directadmin/custombuild
    ./build update
    ./build phpmyadmin
    With regards, Alex.

    Professional Server Management for web hosting companies and individuals
    Hourly Support, Disaster Recovery, Server Hardening, Monthly Subscription
    Directadmin installation and optimization

    Click here if you need a Linux Admin

Page 2 of 2 FirstFirst 12

Similar Threads

  1. [Phpmyadmin-news] phpMyAdmin 3.2.2 is released
    By Meesterlijk in forum Required Software Version Updates
    Replies: 2
    Last Post: 09-17-2009, 03:59 AM
  2. [Phpmyadmin-news] phpMyAdmin 3.2.0.1 is released
    By Meesterlijk in forum Required Software Version Updates
    Replies: 0
    Last Post: 06-30-2009, 06:06 AM
  3. [Phpmyadmin-news] phpMyAdmin 3.2.0 is released
    By Meesterlijk in forum Required Software Version Updates
    Replies: 1
    Last Post: 06-16-2009, 01:14 AM
  4. [Phpmyadmin-news] phpMyAdmin 3.1.5 is released
    By Meesterlijk in forum Required Software Version Updates
    Replies: 0
    Last Post: 05-15-2009, 12:26 PM
  5. [Phpmyadmin-news] phpMyAdmin 2.11.5 and security announcement
    By CoolZero in forum Required Software Version Updates
    Replies: 4
    Last Post: 03-03-2008, 02:10 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •